Binding of Isaac - Afterbirth+ Lua Reference/Guide

Public Member Functions | List of all members
MusicManager Class Reference

## Public Member Functions
| Play (MusicManager ID, float Volume)
| Fadein (MusicManager ID, float Volume)
| Crossfade (MusicManager ID)
| Queue (MusicManager ID)
| Fadeout ()
| Pause ()
| Resume ()
| EnableLayer ()
| DisableLayer ()
boolean | IsLayerEnabled ()
| Enable ()
| Disable ()
boolean | IsEnabled ()
| PitchSlide (float TargetPitch)
| ResetPitch ()
| VolumeSlide (float TargetVolume)
| UpdateVolume ()
MusicManager | GetCurrentMusicID ()
MusicManager | GetQueuedMusicID ()
| if nothing is queued, return the current music id More...

## Member Function Documentation

## ◆ Crossfade()

MusicManager::Crossfade | ( | MusicManager | ID | ) |

## ◆ Disable()

MusicManager::Disable | ( |  | ) |

## ◆ DisableLayer()

MusicManager::DisableLayer | ( |  | ) |

## ◆ Enable()

MusicManager::Enable | ( |  | ) |

## ◆ EnableLayer()

MusicManager::EnableLayer | ( |  | ) |

## ◆ Fadein()

MusicManager::Fadein | ( | MusicManager | ID,
|  | float | Volume
| ) |  |

## ◆ Fadeout()

MusicManager::Fadeout | ( |  | ) |

## ◆ GetCurrentMusicID()

MusicManager MusicManager::GetCurrentMusicID | ( |  | ) |

## ◆ GetQueuedMusicID()

MusicManager MusicManager::GetQueuedMusicID | ( |  | ) |

if nothing is queued, return the current music id

## ◆ IsEnabled()

boolean MusicManager::IsEnabled | ( |  | ) |

## ◆ IsLayerEnabled()

boolean MusicManager::IsLayerEnabled | ( |  | ) |

## ◆ Pause()

MusicManager::Pause | ( |  | ) |

## ◆ PitchSlide()

MusicManager::PitchSlide | ( | float | TargetPitch | ) |

## ◆ Play()

MusicManager::Play | ( | MusicManager | ID,
|  | float | Volume
| ) |  |

## ◆ Queue()

MusicManager::Queue | ( | MusicManager | ID | ) |

## ◆ ResetPitch()

MusicManager::ResetPitch | ( |  | ) |

## ◆ Resume()

MusicManager::Resume | ( |  | ) |

## ◆ UpdateVolume()

MusicManager::UpdateVolume | ( |  | ) |

## ◆ VolumeSlide()

MusicManager::VolumeSlide | ( | float | TargetVolume | ) |